Package org.eclipse.debug.core

# Interface IPrototypeAttributesLabelProvider

All Known Implementing Classes:
  `AbstractLaunchConfigurationTab`, `CommonTab`, `EnvironmentTab`, `PrototypeTab`, `RefreshTab`, `SourceLookupTab`, `WorkingDirectoryBlock`

public interface IPrototypeAttributesLabelProvider
A prototype attributes label provider is contributed as an optional attribute of a `launchConfigurationType` extension and is responsible for displaying launch configurations prototype attributes of that type.

Since:
  3.12

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeLabel(String attribute)`
Get a human readable label to associate to this attribute.

## Method Details

### getAttributeLabel

String getAttributeLabel(String attribute)
Get a human readable label to associate to this attribute.

Parameters:
  `attribute` - the given attribute.
Returns:
  a human readable label of this attribute.